--[[----------------------------------------------------------------------------

WFCatImportManifestStatus.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2017 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remains the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and are protected by all applicable
intellectual property laws, including trade secret and copyright laws.
Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

	-- Rx
local Rx = require 'Rx'

	-- Import
local WFCatImportManifestStatusQueries = require 'WFCatImportManifestStatusQueries'
local WFCatImportManifestBase = require 'WFCatImportManifestBase'
local WFCatImportManifestConstants = require 'WFCatImportManifestConstants'

--------------------------------------------------------------------------------

local WFCatImportManifestStatus = {
	WFCatImportManifestBase,
		-- Base class
}

--------------------------------------------------------------------------------

function WFCatImportManifestStatus:__init( path, name )
	
	name = name .. WFCatImportManifestConstants.manifestImportStatusDbExtension
	return path, name, WFCatImportManifestStatusQueries
	
end

--------------------------------------------------------------------------------

return Rx.Class 'WFCatImportManifestStatus'( WFCatImportManifestStatus )
